<template>
  <div class="page-wrap">
    <!-- Header -->
    <blog-header />
    <!-- // Header -->

    <!-- Main body -->
    <div class="main-body">
      <div class="container pt-5 pb-5">
        <div class="row">
          <div class="col-12 col-md-4 col-lg-3">
            <blog-sidebar />
          </div>

          <div class="col-12 col-md-8 col-lg-9">
            <div class="page-header">
              <h1 class="display-6">
                Blog list
              </h1>
            </div>

            <div class="search-form" />

            <div class="content">
              <blog-list />
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- // Main body -->

    <!-- Footer -->
    <blog-footer />
    <!-- // Footer -->
  </div>
</template>

<script>
import blogHeader from '../components/blogHeader'
import blogSidebar from '../components/blogSidebar'
import blogFooter from '../components/blogFooter'
import blogList from '../components/blogList'

export default {
  components: {
    blogHeader,
    blogSidebar,
    blogList,
    blogFooter
  }
}
</script>

<style>
  :root {
    --primary-color: #007bff;
    --success-color: #28a745;
    --danger-color: #dc3545;
    --warning-color: #ffc107;
    --info-color: #17a2b8;
    --boder-color: #eee;

    --base-padding-sm:  4px;
    --base-padding:     8px;
    --base-padding-lg:  16px;
    --base-padding-xl:  24px;
    --base-padding-xxl: 32px;

    --base-margin-sm:  4px;
    --base-margin:     8px;
    --base-margin-lg:  16px;
    --base-margin-xl:  24px;
    --base-margin-xxl: 32px;
  }

  .container {
  }

  .title {
    font-family:
      'Quicksand',
      'Source Sans Pro',
      -apple-system,
      BlinkMacSystemFont,
      'Segoe UI',
      Roboto,
      'Helvetica Neue',
      Arial,
      sans-serif;
    display: block;
    font-weight: 300;
    font-size: 100px;
    color: #35495e;
    letter-spacing: 1px;
  }

  .subtitle {
  }

  .links {
  }
</style>
